# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::HTMLAreaElement Class Reference

Client-side image map area definition. More...

`#include <html_image.h>`

Inheritance diagram for DOM::HTMLAreaElement:

[legend]
Collaboration diagram for DOM::HTMLAreaElement:

[legend]
List of all members.

## Public Member Functions

| HTMLAreaElement (const HTMLAreaElement &other)
| HTMLAreaElement (const Node &other)
HTMLAreaElement & | operator= (const HTMLAreaElement &other)
HTMLAreaElement & | operator= (const Node &other)
DOMString | accessKey () const
void | setAccessKey (const DOMString &)
DOMString | alt () const
void | setAlt (const DOMString &)
DOMString | coords () const
void | setCoords (const DOMString &)
DOMString | href () const
void | setHref (const DOMString &)
bool | noHref () const
void | setNoHref (bool)
DOMString | shape () const
void | setShape (const DOMString &)
long | tabIndex () const
void | setTabIndex (long)
DOMString | target () const
void | setTarget (const DOMString &)

## Protected Member Functions

| HTMLAreaElement (HTMLAreaElementImpl *impl)

## Detailed Description

Client-side image map area definition.

See the AREA element definition in HTML 4.0.

Definition at line 47 of file html_image.h.

## Member Function Documentation

DOMString HTMLAreaElement::accessKey | ( |  | ) | const

| A single character access key to give access to the form control. See the accesskey attribute definition in HTML 4.0. Definition at line 63 of file html_image.cpp.

void HTMLAreaElement::setAccessKey | ( | const DOMString & |  | ) |

| see accessKey Definition at line 69 of file html_image.cpp.

DOMString HTMLAreaElement::alt | ( |  | ) | const

| Alternate text for user agents not rendering the normal content of this element. See the alt attribute definition in HTML 4.0. Definition at line 74 of file html_image.cpp.

void HTMLAreaElement::setAlt | ( | const DOMString & |  | ) |

| see alt Definition at line 80 of file html_image.cpp.

DOMString HTMLAreaElement::coords | ( |  | ) | const

| Comma-separated list of lengths, defining an active region geometry. See also `shape` for the shape of the region. See the coords attribute definition in HTML 4.0. Definition at line 85 of file html_image.cpp.

void HTMLAreaElement::setCoords | ( | const DOMString & |  | ) |

| see coords Definition at line 91 of file html_image.cpp.

DOMString HTMLAreaElement::href | ( |  | ) | const

| The URI of the linked resource. See the href attribute definition in HTML 4.0. Definition at line 96 of file html_image.cpp. References href(), DOM::DOMString::isNull(), and DOM::DOMString::string(). Referenced by href().

void HTMLAreaElement::setHref | ( | const DOMString & |  | ) |

| see href Definition at line 103 of file html_image.cpp.

bool HTMLAreaElement::noHref | ( |  | ) | const

| Specifies that this area is inactive, i.e., has no associated action. See the nohref attribute definition in HTML 4.0. Definition at line 108 of file html_image.cpp. References DOM::DOMString::isNull().

void HTMLAreaElement::setNoHref | ( | bool |  | ) |

| see noHref Definition at line 114 of file html_image.cpp.

DOMString HTMLAreaElement::shape | ( |  | ) | const

| The shape of the active area. The coordinates are given by `coords` . See the shape attribute definition in HTML 4.0. Definition at line 125 of file html_image.cpp.

void HTMLAreaElement::setShape | ( | const DOMString & |  | ) |

| see shape Definition at line 131 of file html_image.cpp.

long HTMLAreaElement::tabIndex | ( |  | ) | const

| Index that represents the element's position in the tabbing order. See the tabindex attribute definition in HTML 4.0. Definition at line 136 of file html_image.cpp. References DOM::DOMString::toInt().

void HTMLAreaElement::setTabIndex | ( | long |  | ) |

| see tabIndex Definition at line 142 of file html_image.cpp.

DOMString HTMLAreaElement::target | ( |  | ) | const

| Frame to render the resource in. See the target attribute definition in HTML 4.0. Definition at line 150 of file html_image.cpp.

void HTMLAreaElement::setTarget | ( | const DOMString & |  | ) |

| see target Definition at line 156 of file html_image.cpp.

The documentation for this class was generated from the following files:

- html_image.h
- html_image.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:34:16 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003